org.hibernate.search.cfg

## Class SearchMapping

- java.lang.Object
- - org.hibernate.search.cfg.SearchMapping

-     public class SearchMapping
      extends Object

  Allows to configure indexing and search related aspects of a domain model using a fluent Java API. This API can be used instead of or in conjunction with the annotation based configuration via `Indexed` etc. In case of conflicts the programmatic configuration for an element takes precedence over the annotation-based configuration.

  Users can select a `SearchMapping` implementation through the `configuration properties`.

  Author:
    Emmanuel Bernard

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SearchMapping()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AnalyzerDefMapping` | `analyzerDef(String name, Class<? extends TokenizerFactory> tokenizerFactory)`
    `AnalyzerDefMapping` | `analyzerDef(String name, String tokenizerName, Class<? extends TokenizerFactory> tokenizerFactory)`
    `EntityMapping` | `entity(Class<?> entityType)`
    `FullTextFilterDefMapping` | `fullTextFilterDef(String name, Class<?> impl)`
    `Set<Map<String,Object>>` | `getAnalyzerDefs()`
    `EntityDescriptor` | `getEntityDescriptor(Class<?> entityType)`
    `Set<Map<String,Object>>` | `getFullTextFilterDefs()`
    `Set<Class<?>>` | `getMappedEntities()`
    `Set<Map<String,Object>>` | `getNormalizerDefs()`
    `NormalizerDefMapping` | `normalizerDef(String name)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SearchMapping

          public SearchMapping()

  - ### Method Detail

    - #### getAnalyzerDefs

          public Set<Map<String,Object>> getAnalyzerDefs()

    - #### getNormalizerDefs

          public Set<Map<String,Object>> getNormalizerDefs()

    - #### getFullTextFilterDefs

          public Set<Map<String,Object>> getFullTextFilterDefs()

    - #### getEntityDescriptor

          public EntityDescriptor getEntityDescriptor(Class<?> entityType)

    - #### getMappedEntities

          public Set<Class<?>> getMappedEntities()

    - #### analyzerDef

          public AnalyzerDefMapping analyzerDef(String name,
                                                Class<? extends TokenizerFactory> tokenizerFactory)

    - #### analyzerDef

          public AnalyzerDefMapping analyzerDef(String name,
                                                String tokenizerName,
                                                Class<? extends TokenizerFactory> tokenizerFactory)

    - #### normalizerDef

          public NormalizerDefMapping normalizerDef(String name)

    - #### entity

          public EntityMapping entity(Class<?> entityType)

    - #### fullTextFilterDef

          public FullTextFilterDefMapping fullTextFilterDef(String name,
                                                            Class<?> impl)

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved